# Class Mandrill_Whitelists

Located at Mandrill/Whitelists.php

Methods summary
`public` | # `__construct( `Mandrill` $master )`

`public struct`

# `add( string $email )`

Adds an email to your email rejection whitelist. If the address is currently on your blacklist, that blacklist entry will be removed automatically.

Adds an email to your email rejection whitelist. If the address is currently on your blacklist, that blacklist entry will be removed automatically.

#### Parameters

$email
  `string`
  $email an email address to add to the whitelist

#### Returns

`struct`
a status object containing the address and the result of the operation - email string the email address you provided - whether boolean the operation succeeded

`public array`

# `getList( string $email = null )`

Retrieves your email rejection whitelist. You can provide an email address or search prefix to limit the results. Returns up to 1000 results.

Retrieves your email rejection whitelist. You can provide an email address or search prefix to limit the results. Returns up to 1000 results.

#### Parameters

$email
  `string`
  $email an optional email address or prefix to search by

#### Returns

`array`
up to 1000 whitelist entries - return[] struct the information for each whitelist entry - email string the email that is whitelisted - detail string a description of why the email was whitelisted - created_at string when the email was added to the whitelist

`public struct`

# `delete( string $email )`

Removes an email address from the whitelist.

Removes an email address from the whitelist.

#### Parameters

$email
  `string`
  $email the email address to remove from the whitelist

#### Returns

`struct`
a status object containing the address and whether the deletion succeeded - email string the email address that was removed from the blacklist - deleted boolean whether the address was deleted successfully